QwtLinearScaleEngine(3)

NAME
QwtLinearScaleEngine - A scale engine for linear scales.

SYNOPSIS

#include <qwt_scale_engine.h>

Inherits QwtScaleEngine.

Inherited by QwtDateScaleEngine.

  Public Member Functions
QwtLinearScaleEngine (uint base=10)
virtual ~QwtLinearScaleEngine ()
Destructor.
virtual void autoScale (int maxNumSteps, double &x1, double &x2, double &stepSize) const override
virtual QwtScaleDiv divideScale (double x1, double x2, int maxMajorSteps, int maxMinorSteps, double stepSize=0.0) const override
Calculate a scale division for an interval.

  Protected Member Functions
QwtInterval align (const QwtInterval &, double stepSize) const
Align an interval to a step size.
void buildTicks (const QwtInterval &, double stepSize, int maxMinorSteps, QList< double > ticks[QwtScaleDiv::NTickTypes]) const
Calculate ticks for an interval.
QList< double > buildMajorTicks (const QwtInterval &interval, double stepSize) const
Calculate major ticks for an interval.
void buildMinorTicks (const QList< double > &majorTicks, int maxMinorSteps, double stepSize, QList< double > &minorTicks, QList< double > &mediumTicks) const
Calculate minor/medium ticks for major ticks.

  Additional Inherited Members

Detailed Description

A scale engine for linear scales. The step size will fit into the pattern $re n is an integer.

Definition at line 151 of file qwt_scale_engine.h.

Constructor & Destructor Documentation

  QwtLinearScaleEngine::QwtLinearScaleEngine (uint base = 10) [explicit]
Constructor

Parameters
    base Base of the scale engine

See also
    setBase()

Definition at line 511 of file qwt_scale_engine.cpp.

Member Function Documentation

  QwtInterval QwtLinearScaleEngine::align (const QwtInterval & interval, double stepSize) const [protected]

Align an interval to a step size. The limits of an interval are aligned that both are integer multiples of the step size.

Parameters
    interval Interval
    stepSize Step size

Returns
    Aligned interval

Definition at line 741 of file qwt_scale_engine.cpp.

  void QwtLinearScaleEngine::autoScale (int maxNumSteps, double & x1, double & x2, double & stepSize) const [override], [virtual]
Align and divide an interval

Parameters
    maxNumSteps Max. number of steps
    x1 First limit of the interval (In/Out)
    x2 Second limit of the interval (In/Out)
    stepSize Step size (Out)

See also
    setAttribute()

Implements QwtScaleEngine.

Reimplemented in QwtDateScaleEngine.

Definition at line 531 of file qwt_scale_engine.cpp.

  QList< double > QwtLinearScaleEngine::buildMajorTicks (const QwtInterval & interval, double stepSize) const [protected]

Calculate major ticks for an interval.

Parameters
    interval Interval
    stepSize Step size

Returns
    Calculated ticks

Definition at line 664 of file qwt_scale_engine.cpp.

  void QwtLinearScaleEngine::buildMinorTicks (const QList< double > & majorTicks, int maxMinorSteps, double stepSize, QList< double > & minorTicks, QList< double > & mediumTicks) const [protected]

Calculate minor/medium ticks for major ticks.

Parameters
    majorTicks Major ticks
    maxMinorSteps Maximum number of minor steps
    stepSize Step size
    minorTicks Array to be filled with the calculated minor ticks
    mediumTicks Array to be filled with the calculated medium ticks

Definition at line 692 of file qwt_scale_engine.cpp.

  void QwtLinearScaleEngine::buildTicks (const QwtInterval & interval, double stepSize, int maxMinorSteps, QList< double > ticks[QwtScaleDiv::NTickTypes]) const [protected]

Calculate ticks for an interval.

Parameters
    interval Interval
    stepSize Step size
    maxMinorSteps Maximum number of minor steps
    ticks Arrays to be filled with the calculated ticks

See also
    buildMajorTicks(), buildMinorTicks

Definition at line 627 of file qwt_scale_engine.cpp.

  QwtScaleDiv QwtLinearScaleEngine::divideScale (double x1, double x2, int maxMajorSteps, int maxMinorSteps, double stepSize = 0.0) const [override], [virtual]

Calculate a scale division for an interval.

Parameters
    x1 First interval limit
    x2 Second interval limit
    maxMajorSteps Maximum for the number of major steps
    maxMinorSteps Maximum number of minor steps
    stepSize Step size. If stepSize == 0, the engine calculates one.

Returns
    Calculated scale division

Implements QwtScaleEngine.

Reimplemented in QwtDateScaleEngine.

Definition at line 577 of file qwt_scale_engine.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.